# shp-Rhino-CityEngine2CityGML

This project is a repository of [FME workbenches](https://www.safe.com/fme/) used to convert 2D building footrpint shapefiles with building height attributes as well as 3D building geometries modelled in [Rhinoceros3D](https://www.rhino3d.com/) to CityGML LoD 1 building-building part models and 3D building multipatch shapefile modelled in [ArcGIS CityEngine](https://www.esri.com/en-us/arcgis/products/arcgis-cityengine/overview) to CityGML LoD 1 - LoD 2 building models. For self-understanding of the conversion process, annotations are available within the FME workbenches. 

These FME workbenches along with its example use cases are explained in a peer reviewed [conference paper](https://conference.corp.at/archive/CORP2020_54.pdf) published at the 25th International Conference on Urban Planning and Regional Development in the Information Society, [REAL CORP 2020](https://conference.corp.at/index.php?id=41&L=0), Aachen, Germany. For any use of the published paper or above available FME workbenches, kindly reference the paper appropriately.

Note: For correctly generating CityGML LoD2 building solids using FME, minimum FME 2019.0 version is required. More information is available [here](https://gitlab.com/volkercoors/CiD4Sim/-/wikis/usefulTools/FME-Workbenches).

# License

This work is licensed under a [Creative Commons Attribution 4.0 International License - CC BY 4.0](https://creativecommons.org/licenses/by/4.0/legalcode) [![CC BY 4.0][cc-by-shield]][cc-by]

[cc-by]: https://creativecommons.org/licenses/by/4.0/legalcode
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg

# Acknowledgement

This work is carried out in the project [IN-SOURCE: INtegrated analysis and modeling for the management of sustainable urban food, water, and energy reSOURCEs](https://sites.google.com/nyit.edu/insource-fwe/projects). This project has received funding from the European Union's Horizon 2020 research and innovation programme under grant agreement No 730254.
![insource](img/INSOURCEfunding.png)
